Prediction Market Docs
MarketsIdBook

Synthetic order book (derived from AMM curve)

GET
/clob/markets/{id}/book

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Market id (Mongo id) or numeric on-chain marketId.

Query Parameters

side?string

Value in

  • "yes"
  • "no"
levels?integer
Default5

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/clob/markets/string/book"
{  "marketId": "69bce5b79cf7519128b0f5ed",  "side": "yes",  "asks": [    {      "price": 0.910256,      "size": 7.8,      "shares": 8.569014    }  ],  "bids": [    {      "price": 0.910256,      "size": 7.8,      "shares": 86.914286    }  ],  "bestAsk": 0.910256,  "bestBid": 0.910256,  "spread": 0,  "midpoint": 0.910256,  "synthetic": true}
{  "error": "string",  "detail": "string"}
{  "error": "string",  "detail": "string"}